from datetime import date
import os

AUTHOR = "Teckids e.V."
SITEURL = ""
SITELOGO = "/images/logo.png"
FAVICON = "/images/favicon.png"

# Uncomment following line if you want document-relative URLs when developing
RELATIVE_URLS = True

ARTICLE_PATHS = ["posts"]
PAGE_PATHS = ["pages"]
STATIC_PATHS = ["static", "images"]
PATH = "content"
PATH_METADATA = "pages/(?P<lang>[^/]*)"
OUTPUT_PATH = "public"
SLUGIFY_SOURCE = "basename"

TIMEZONE = "Europe/Berlin"
DEFAULT_LANG = "de"
DEFAULT_DATE_FORMAT = "%x"
DATE_FORMATS = {
    "de": "%A, %d. %B %Y",
    "en": "%A, %Y-%m-%d",
}
PO4A_POST_PATTERN = PATH + "/posts/{lang}/{relpath}"
PO4A_PAGE_PATTERN = PATH + "/pages/{lang}/{relpath}"

# Feed generation is usually not desired when developing
FEED_ALL_ATOM = None
CATEGORY_FEED_ATOM = None
TRANSLATION_FEED_ATOM = None
AUTHOR_FEED_ATOM = None
AUTHOR_FEED_RSS = None

THEME = os.path.dirname(__file__)

PRIMARY_DARK = "#FF6600"
PRIMARY_LIGHT = "#FFFFFF"
SECONDARY_DARK = "#015ebe"
SECONDARY_LIGHT = "#00c5fa"

PLUGIN_PATHS = ["plugins"]
PLUGINS = ["i18n_subsites", "sitemap", "summary", "jinja2content", "po4a"]
MARKDOWN = {
    "extension_configs": {
        "markdown.extensions.attr_list": {},
        "markdown.extensions.md_in_html": {}
    }
}
JINJA_ENVIRONMENT = {
    "extensions": ["jinja2.ext.i18n"]
}

MENUITEMS = [
    ("Startseite", "index.html"),
    ("Neuigkeiten", "archives.html"),
]
FOOTERMENU = [
    ("Impressum", "https://teckids.org/pages/impressum.html")
]
FOOTERTEXT = "Teckids e.V.<br/>Kennedyallee 18<br/>53175 Bonn"

DEFAULT_PAGINATION = 10

TODAY = date.today()

# Hint: These can be overridden in any site using the template; either by overwriting
# the whole list, or by adding items to it using .append() or +=
SPONSORS = [
    ("SpeedPartner", "/theme/images/sponsors/speedpartner.png", "https://www.speedpartner.de", date(2038, 12, 31)),
    ("Informatik aktuell", "/theme/images/sponsors/informatik_aktuell.png", "https://www.informatik-aktuell.de/", date(2021, 12, 31)),
    ("Python Software-Verband e.V.", "/theme/images/sponsors/pysv.png", "https://www.python-verband.org", date(2021, 7, 31)),
    ("Proxmox Server Solutions GmbH", "/theme/images/sponsors/proxmox.png", "https://proxmox.com", date(2022, 4, 30)),
    ]
PARTNERS = [
    ("Open Source Initiative", "/theme/images/partners/osi.png", "https://opensource.org"),
    ("Free Software Foundation Europe", "/theme/images/partners/fsfe.png", "https://fsfe.org"),
    ]

CUSTOM_STYLESHEET = "/static/css/custom.css"

LICENCE_DEFAULT = "CC-BY-SA 4.0+"

SITEMAP = {
    "format": "xml",
}
